Bug 507586 - qpid-config ends with failure
qpid-config ends with failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
1.1.1
All Linux
low Severity low
: 1.3
: ---
Assigned To: Nuno Santos
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 07:48 EDT by Martin Kudlej
Modified: 2015-11-15 19:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Running the "qpid-config add" command incorrectly failed. With this update, running "qpid-config add" correctly prints a help message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 11:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
svn rev 948164 (427 bytes, patch)
2010-05-25 14:49 EDT, Nuno Santos
no flags Details | Diff

  None (edit)
Description Martin Kudlej 2009-06-23 07:48:11 EDT
Description of problem:
After "qpid-config add" it prints help message and it ends with failure.

Version-Release number of selected component (if applicable):
python-qpid-0.5.752581-3.el5

How reproducible:
100%

Steps to Reproduce:
qpid-config add

  
Actual results:
help message + failure


Expected results:
only help message
Comment 2 Nuno Santos 2010-05-25 14:43:44 EDT
Fixed at svn rev 948164. A patch will need to be included in the next build of qpid-tools.
Comment 3 Nuno Santos 2010-05-25 14:49:21 EDT
Created attachment 416471 [details]
svn rev 948164
Comment 5 Ken Giusti 2010-08-20 16:24:34 EDT
My fix to mrg blocker https://bugzilla.redhat.com/show_bug.cgi?id=547295 used this fix, so I merged this fix into mrg_1.3.x and rebuilt qpid-tools:

http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=d496644d743bf016c5204374b538cc3632e93879

Released in qpid-tools-0.7.946106-9
Comment 7 Frantisek Reznicek 2010-09-23 09:22:32 EDT
The issue has been fixed, tested on RHEL 4.8 / 5.5 i386 / x86_64 on packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf*-0.7.946106-16.el5
qpid-cpp-*-0.7.946106-16.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-*-0.7.946106-10.el5
qpid-tools-0.7.946106-11.el5
ruby-qpid-0.7.946106-2.el5


-> VERIFIED
Comment 8 Douglas Silas 2010-10-07 11:37:06 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running the "qpid-config add" command incorrectly failed. With this update, running "qpid-config add" correctly prints a help message.
Comment 10 errata-xmlrpc 2010-10-14 11:58:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.